%define	vers	5.2.3
Summary: 	Ghostscript, Postscript and PDF Rendering Engine
Name: 		ghostscript
Version: 	8.64
Release: 	1
Copyright: 	AFPL
Group: 		Libraries
URL:		http://ghostscript.com/
Source0: 	http://sourceforge.net/project/showfiles.php?group_id=1897&package_id=108733/%{name}-%{version}.tar.bz2
Source1:	http://sourceforge.net/project/showfiles.php?group_id=1537/gutenprint-5.2.3.tar.bz2
Patch0:		%{name}.patch
BuildRequires:	gimp-devel foomatic cups-devel mpage enscript
BuildRoot: 	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
ExclusiveArch:  i386

%description
Ghostscript is a PostScript interpretor. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats. 'cups-genppdupdate' to update gutenprint ppd's
if you dont want to wait for a full foomatic-compiledb build.

Unlike with the CUPS native driver, there is no simple way to update all
PPD files when you install a new version of Gutenprint.  You must either
use the 'foomatic-ppdfile' command to upgrade PPD files individually, or 
'foomatic-compiledb' to build all PPD files which aLinux uses.

Contains:
1. %{name}-%{version}.tar.bz2
2. gutenprint-%{vers}.tar.bz2 (formerly gimpprint)
3. libgs.so w/ Shared ghostscript library

%package 	docs
Summary:        documentation
Group:          Development

%description 	docs
Documentation

%package 	devel
Summary:        headers
Group:          Development

%description 	devel
Headers

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1
%patch0 -p0

%build
cd ijs; autoreconf -i -f
configure \
    --host=i386-pc-linux \
    --build=i386-pc-linux \
    --prefix=/usr \
    --disable-nls
make; make install
cd ../guten*
%configure \
    --host=i386-pc-linux \
    --build=i386-pc-linux \
    --enable-shared \
    --enable-static \
    --enable-simplified-cups-ppds=yes \
    --disable-libgutenprintui \
    --enable-libgutenprintui2 \
    --with-cups \
    --with-ijs \
    --with-foomatic \
    --with-foomatic3 \
    --with-ghostscript \
    --without-gimp \
    --with-gimp2 \
    --with-gimp2-as-gutenprint \
    --enable-escputil \
    --disable-nls
make
cd ..
autogen.sh \
    --host=i386-pc-linux \
    --build=i386-pc-linux \
    --enable-compiled-inits \
    --disable-static \
    --enable-shared \
    --prefix=/usr \
    --with-ijs \
    --with-jbig2dec \
    --with-jasper \
    --with-gs=gs \
    --disable-nls
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
make so RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
cd ijs; make prefix=$RPM_BUILD_ROOT/usr install
cd ../guten*; make DESTDIR=$RPM_BUILD_ROOT install; cd ..
make prefix=$RPM_BUILD_ROOT/usr install_prefix=$RPM_BUILD_ROOT/ bindir=$RPM_BUILD_ROOT/usr/bin datadir=$RPM_BUILD_ROOT/usr/share mandir=$RPM_BUILD_ROOT%{_mandir} install soinstall; #cp pstoraster/pstoraster.convs $RPM_BUILD_ROOT/etc/cups
rm -rf $RPM_BUILD_ROOT/usr/man/de
rm -rf $RPM_BUILD_ROOT/usr/info
ln -sf gs $RPM_BUILD_ROOT%{_bindir}/ghostscript
ln -sf ijsgutenprint.5.2 $RPM_BUILD_ROOT%{_bindir}/ijsgutenprint
mkdir -p $RPM_BUILD_ROOT/man1; cd $RPM_BUILD_ROOT/usr/man/man1; cp -H * $RPM_BUILD_ROOT/man1
rm -rf $RPM_BUILD_ROOT/usr/man/man1; mv $RPM_BUILD_ROOT/man1 $RPM_BUILD_ROOT/usr/man
cd $RPM_BUILD_ROOT/usr/share/ghostscript; ln -sf %{version}/lib lib
cd $RPM_BUILD_ROOT/usr/sbin; ln -sf cups-genppd.5.2 cups-genppd
ln -sf rastertogutenprint.5.2 $RPM_BUILD_ROOT/usr/lib/cups/filter/rastertogimpprint
ln -sf gutenprint.5.2 $RPM_BUILD_ROOT/usr/lib/cups/driver/gutenprint
ln -sf 5.2 $RPM_BUILD_ROOT/usr/share/gutenprint/5.2.3
rm -rf $RPM_BUILD_ROOT/usr/share/foomatic/db/source/opt
#rm $RPM_BUILD_ROOT/usr/share/foomatic/db/source/driver/gutenprint-ijs*
rm $RPM_BUILD_ROOT/usr/share/foomatic/kitload.log
mv $RPM_BUILD_ROOT/usr/share/man/man1/* $RPM_BUILD_ROOT/usr/man/man1/; rm -r $RPM_BUILD_ROOT/usr/share/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/usr/bin
/usr/sbin
/usr/lib/cups
/usr/lib/gimp
/usr/lib/gutenprint
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/share/cups/calibrate.ppm
/usr/share/foomatic
/usr/share/ghostscript/lib
/usr/share/ghostscript/%{version}/lib
/usr/share/ghostscript/%{version}/Resource

%files docs
%defattr(-,root,root)
/usr/share/ghostscript/%{version}/doc
/usr/share/ghostscript/%{version}/examples
/usr/share/gutenprint
/usr/man

%files devel
%defattr(-,root,root)
/usr/lib/*.a
/usr/lib/pkgconfig
/usr/include
